UPMPDCLI(1)

NAME
upmpdcli - UPnP Media Renderer front-end to MPD, the Music Player Daemon

SYNOPSIS
upmpdcli [options] files...

DESCRIPTION

upmpdcli is a program which should be run permanently (typically as a daemon, or started upon logging in), and acts as an UPnP Media Renderer, using the Music Player Daemon, mpd, for actually playing the music. This allows integrating the high quality and widely ported MPD inside an UPnP-based music network, typically with a remote running on a tablet or phone.

OPTIONS
This program uses short options. A summary of options is included below.

-h host
    Define the host machine on which mpd runs.

-f friendly_name
    Set the name which will be displayed by controllers for this instance after they search the network.

-p port
    Define the IP port used by mpd.

-q 0|1
    Decide if we own the MPD queue (-q 1) or not (-q 0). We own it by default, and clear it fearlessly.

-d logfilename
    Send debug/trace messages to logfilename.

-l level
    Set the log verbosity (0-4).

-D  Daemonize (fork and run in background). Using -D for this is the reverse from usual convention, but the authors found it better to avoid surprising naïve users with an unexpected disparition of the program...

-i iface
    Define the network interface to use for UPnP.

-O /0
    Start the OpenHome ohMedia services (esp. PlayList), or not.

-P port
    Define the IP port to use for UPnP.

-c configfile
    Use the configuration from configfile. The configuration file has a simple name = value format and can set the same values as the command line options (with a lower priority). The parameter names are mpdhost, mpdport, friendlyname, logfilename, loglevel, upnpiface, upnpport. The configuration file can also be used to set the MPD password (mpdpassword), and the UPnP IP address (instead of interface name, upnpip).

SEE ALSO
mpd(1),